/***************************************************************************
 *   Copyright (C) 2005 by Nicolas Ternisien                               *
 *   nicolas.ternisien@gmail.com                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef _LOG_LEVEL_H_
#define _LOG_LEVEL_H_

#include <qobject.h>
#include <qpixmap.h>
#include <qstringlist.h>
#include <qfile.h>
#include <qvaluevector.h>
#include <qvaluelist.h>
#include <qptrlist.h>
#include <qcolor.h>

#include <kurl.h>

#include "globals.h"


class LogLevel;

typedef QPtrList<LogLevel> LogLevels;



/**
 * @author Nicolas Ternisien
 */
class LogLevel {
	
	public:
		LogLevel(int id, QString& name, QString& icon, QColor& color);
		LogLevel(int id, QString name, const char* icon, QColor color);



		virtual ~LogLevel();

		int id;
		QString name;
		
		QString icon;
		
		QColor color;

		QPixmap pixmap;
};


#endif
