/***************************************************************************
 *   Copyright (C) 2005 by Nicolas Ternisien                               *
 *   nicolas.ternisien@gmail.com                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef LOG_VIEW_COLUMN_H
#define LOG_VIEW_COLUMN_H

#include <qobject.h>
#include <qpixmap.h>
#include <qstringlist.h>
#include <qfile.h>
#include <qvaluevector.h>
#include <qvaluelist.h>

#include <kurl.h>

#include "globals.h"

/**
 * @author Nicolas Ternisien
 */
class LogViewColumn {
	
	public:
		LogViewColumn(QString& name, bool filtred=true, bool grouped=true);
		LogViewColumn(QString name, bool filtred=true, bool grouped=true);

		virtual ~LogViewColumn();

		QString columnName;
		
		bool isFiltred;
		bool isGrouped;
		
};


#endif //LOG_VIEW_COLUMN_H
