/***************************************************************************
 *   Copyright (C) 2005 by Nicolas Ternisien                               *
 *   nicolas.ternisien@gmail.com                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef _XORG_READER_H_
#define _XORG_READER_H_

 
#include <qobject.h>
#include <qstringlist.h>
#include <qmap.h>
#include <qfile.h>
#include <qpair.h>

#include <kurl.h>


#include "globals.h"

#include "defaultReader.h"


/**
 * @author Nicolas Ternisien
 */
class XorgReader : public DefaultReader {
	Q_OBJECT
	
	public:
		XorgReader(QObject *parent = 0, const char *name = 0);
		
		virtual ~XorgReader();
		
		virtual void initColumns(LogViewColumns* columns);
		
	protected:
		virtual LogLine* parseMessage(QString& buffer, LogFile* originalFile);

		QMap<QString, LogLevel*> xorgLevels;
		
		void initializeTypeName();
		
		LogLevel* getTypeName(const QString type);
		
		QTime newLineTime;
		QDate newLineDate;
		
		int lineCount;
};

#endif
